

.what-we-do-content-container {
  max-width: 100%;
  width: 100%;
  padding: 0 29px;
}

.accordion-section {
  margin-top: 174px;
}

.accordion-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding-bottom: 28px;
  background: none;
  border: none;
  color: #fff;
  font-size: 60px;
  font-weight: 900;
  text-transform: uppercase;
  text-align: left;
  cursor: pointer;
}

.accordion-icon {
  transition: transform 0.3s ease-in-out;
  max-width: 24px;
}

.accordion-item.active .accordion-icon {
  display: inline-block;
  transform: rotate(180deg);
}

.accordion-item .accordion-title {
  font-size: 40px;
  line-height: 80%;
  max-width: 90%;
}

.accordion-item.active .accordion-title {
  font-size: 40px;
  transition: margin-left 0.3s ease-out;
}

.accordion-content {
  display: grid;
  grid-template-rows: 0fr;
  transition: grid-template-rows 0.4s ease-in-out;
}

.accordion-item.active .accordion-content {
  grid-template-rows: 1fr;
  padding-bottom: 44px;
}

.accordion-content-inner {
  overflow: hidden;
}

.accordion-content-inner p {
  font-size: 20px;
  line-height: 1.5;
  color: #fff;
  padding-top: 2px;
}

.tag-container {
  display: flex;
  flex-wrap: wrap;
  gap: 14px;
  margin-top: 23px;
}

.tag {
  background-color: #5ac8b4;
  padding: 4px 20px;
  border-radius: 8px;
  font-size: 15px;
  font-weight: 500;
  color: black;
}

span.tag,
a.tag {
  position: relative;
  z-index: 1;
  transition: background-color 0.1s ease;
  text-decoration: none;
  color: inherit;
}

span.tag::before,
a.tag::before {
  content: '';
  position: absolute;
  top: -50px;
  right: -10px;
  bottom: -50px;
  left: -10px;
  z-index: -1;
}

@media (min-width: 769px) {
  .what-we-do-content-container {
    max-width: 1246px;
    width: 100%;
    margin: 0 auto;
    margin-top: 77px !important;
  }

  .accordion-section {
    margin-top: 102px;
  }

  .accordion-item.active .accordion-title {
    font-size: 100px;
    margin-left: calc((100% - 100vw) / 2);
  }

  .accordion-item .accordion-title {
    font-size: 60px;
  }

  .accordion-icon {
    max-width: 48px;
  }

  .accordion-content-inner p {
    font-size: 23px;
    color: #fff;
  }

  .tag {
    padding: 8px 10px;
    font-size: 20px;
  }

  .accordion-item.active .accordion-content {
    padding-bottom: 49px;
  }

  .tag-container {
    gap: 27px;
    margin-top: 33px;
    margin-bottom: 40px;
  }

  .accordion-header {
    padding-bottom: 52px;
  }
}

.strategy-button {
  position: relative;
  border: 1px solid #45D0B8;
  background-color: #45D0B8;
  padding: 10px 20px;
  color: rgb(10, 10, 10);
  cursor: pointer;
  overflow: hidden;
}

.strategy-button::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: white;
  z-index: 1;
  opacity: 0;
}

.strategy-button span {
  position: relative;
  z-index: 2;
}

.strategy-button.hover-effect-active::before {
  opacity: 1;
}

.strategy-button.hover-effect-active span {
  color: black;
}

.what-we-do-content-container { margin-top: 77px !important; }
